# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename https-proxy-agent

Name:               nodejs-https-proxy-agent
Version:            1.0.0
Release:            3%{?dist}
Summary:            An HTTP(s) proxy http.Agent implementation for HTTPS

# License is in README.md
License:            MIT
URL:                https://www.npmjs.org/package/https-proxy-agent
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(semver)
BuildRequires:      npm(proxy)
BuildRequires:      npm(mocha)
%endif


%description
This module provides an `http.Agent` implementation that connects to a
specified HTTP or HTTPS proxy server, and can be used with the built-in
`https` module.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep debug ~x
%nodejs_fixdep extend

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/https-proxy-agent
cp -pr package.json https-proxy-agent.js \
    %{buildroot}%{nodejs_sitelib}/https-proxy-agent

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec
%endif


%files
%doc README.md
%{nodejs_sitelib}/https-proxy-agent/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Aug 31 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.0-2
- widen fixdep npm(extend)
- remove unneeded BR

* Sun Aug 30 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.0-1
- update to latest version

* Sat Jul 25 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 0.3.5-3
- fixdep npm(extend)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.3.5-1
- Initial packaging for Fedora.
